package com.alexanderlogistics;

import org.imixs.workflow.ItemCollection;
import org.junit.Test;

import junit.framework.Assert;

/**
 * This test tests the InvoicePlugin isCargosoft method
 * 
 * @author rsoika
 * 
 */
public class TestModelMatcher {

    @Test
    public void testModels() {

        ItemCollection workitem = new ItemCollection();

        workitem.setModelVersion("rechnungseingang-de-1.0");
        Assert.assertTrue(InvoicePlugin.isCargoRechnung(workitem));

        workitem.setModelVersion("rechnungseingang-pl-1.2");
        Assert.assertTrue(InvoicePlugin.isCargoRechnung(workitem));

        workitem.setModelVersion("rechnungseingang-sachrechnung-pl-1.2");
        Assert.assertFalse(InvoicePlugin.isCargoRechnung(workitem));

    }

}
